#include "QtStudy.h"
#include <QFileDialog>
#include "SubWindow.h"

QtStudy::QtStudy(QWidget *parent)
    : QMainWindow(parent)
{
    ui.setupUi(this);

    mpSubWin = new SubWindow(this);

    connect(ui.spinBox, &QSpinBox::valueChanged, ui.progressBar, &QProgressBar::setValue);
    connect(ui.spinBox, &QSpinBox::valueChanged, ui.horizontalSlider, &QSlider::setValue);
    connect(ui.horizontalSlider, &QSlider::valueChanged, ui.spinBox, &QSpinBox::setValue);
    connect(ui.actionOpen, &QAction::triggered, this, &QtStudy::openFile);

    connect(ui.actionShow_Left_Dock, &QAction::triggered, ui.leftDock, &QDockWidget::show);
    connect(ui.actionShow_Down_Dock, &QAction::triggered, ui.downDock, &QDockWidget::show);
    connect(ui.actionShow_SubWin, &QAction::triggered, this, &QtStudy::showSubWin);
}

QtStudy::~QtStudy()
{
	delete mpSubWin;
}

void QtStudy::openFile()
{
    QString sfileName = QFileDialog::getOpenFileName(this, tr("Open File"), "/home", "*");

    if (sfileName.isEmpty())
        return;

    ui.lineEdit->setText(sfileName);
}

void QtStudy::showSubWin()
{
    mpSubWin->show();
}
